Get reviews
Reviews
Get Reviews
Gets the current and previous reviews for a store.
Requires the stores.view permission.
GET
Get reviews
Filterable Fields
This endpoint supports filtering and sorting. See the Filtering & Sorting Guide for syntax details.| Field | Type | Description |
|---|---|---|
rating | integer | Filter by star rating (1-5) |
emailAddress | string | Filter by customer email (case-insensitive contains) |
hasReply | boolean | Filter reviews that have a merchant reply |
dateRangeFrom | datetime | Filter reviews created on or after this date |
dateRangeTo | datetime | Filter reviews created on or before this date |
Authorizations
Your API key goes here
Path Parameters
The ID of the store to get the reviews for
Query Parameters
Filter by star rating (exact match).
Case-insensitive contains on the customer’s email address.
Only reviews that have a merchant reply.
Reviews created on or after this date.
Reviews created on or before this date.
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 2147483647Response
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.